Name: sndconfig
Version: 0.27
Release: 3
Copyright: distributable
Summary: Red Hat Sound Configuration tool
Summary(pt_BR): Ferramenta de configurap de som da Red Hat
Group: Utilities/System
Group(pt_BR): Utilitrios/Sistema
Source: sndconfig-%{PACKAGE_VERSION}.tar.gz
Patch: sndconfig-tmp.patch
Patch2: sndconfig-awe.patch
%ifarch i386
Requires: isapnptools >= 1.15, sox, awesfx
%endif
BuildRoot: /tmp/rhsound
ExclusiveArch: i386 sparc

%description
The Red Hat sound package includes the sndconfig tool whichs
is a text based sound configuration tool.  You can use
it to set the proper sound type for programs which use the
devices /dev/dsp, /dev/audio, and /dev/mixer.  Sound settings 
are saved via the use of aumix and sysV runlevel scripts.

%description -l pt_BR
Inclui o programa sndconfig que  uma ferramenta baseada em texto
para configurao de som. Voc pode us-lo para configurar o tipo de
som para programas que usam os dispositivos /dev/dsp, /dev/audio,
e /dev/mixer. As configuraes de som so salvas com o aumix e
scripts runlevel sysV.

%prep
%setup -n sndconfig
%patch -p1
%patch2 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}
mkdir -p $RPM_BUILD_ROOT/usr/share/locale
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/sbin/sndconfig
%ifarch i386
/usr/sbin/pnpprobe
/usr/man/man8/pnpprobe.8
%endif
/usr/share/sndconfig/sample.au
/usr/share/locale/*/*/sndconfig.mo
/usr/man/man8/sndconfig.8

%changelog
* Mon Nov 16 1998 Bill Nottingham <notting@redhat.com>
- awesfx goes in /bin

* Fri Oct 30 1998 Bill Nottingham <notting@redhat.com>
- stupid programmer error, part deux

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Mon Oct 12 1998 Bill Nottingham <notting@redhat.com>
- fixes to lists of resources
- add more translations
- don't set auto-unload

* Thu Oct  8 1998 Bill Nottingham <notting@redhat.com>
- oops, forgot a newtResume()
- make /etc/conf.modules mode 0644, not 0600
- merge SBPCI entries with ES1370, since we can't tell them apart anyways

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- added scrollbar to card list
- updated to 0.26

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fixes for AudioTrix Pro, add OPL3-SA2/3/x
- assorted random bugfixes
- add Turkish translations (from H. Turgut Uyar <uyar@cs.itu.edu.tr>)
- add Romanian translations

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>
- add a few more cards
- disable Wavefront support for now

* Thu Sep 24 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- added pt_BR translations
- i18n patches

* Wed Sep 23 1998 Bill Nottingham <notting@redhat.com>
- fix PCI-probing bug

* Tue Sep 22 1998 Bill Nottingham <notting@redhat.com>
- when merging isapnp.conf changes, use current preamble

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- check that they actually have modular sound

* Fri Sep 11 1998 Bill Nottingham <notting@redhat.com>
- PCI probing!

* Tue Sep  8 1998 Bill Nottingham <notting@redhat.com>
- SPARC support.

* Wed Aug 26 1998 Bill Nottingham <notting@redhat.com>
- YABF

* Tue Aug 25 1998 Bill Nottingham <notting@redhat.com>
- fixed bad logic w/midi assignment

* Fri Aug 21 1998 Bill Nottingham <notting@redhat.com>
- fixed message segfault

* Thu Aug 20 1998 Bill Nottingham <notting@redhat.com>
- changed bug reporting address

* Wed Aug 19 1998 Bill Nottingham <notting@redhat.com>
- introduce support for non SB sound cards

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- built aginst newt 0.30

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- fixed problem with overwriting the conf.modules file

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- fixed problem w/ free()ing bad pointers

* Fri Dec 19 1997 Erik Troan <ewt@redhat.com>
- general Makefile cleanups

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- fixed bug in reading current settings from conf.modules

* Fri Oct 31 1997 Michael Fulbright <msf@redhat.com>
- fixed behavior to work with rhsound service
- added support for midi in conf.modules, isapnp.conf
- reduced duplicate info stored in /etc/sysconfig/sound

* Wed Oct 29 1997 Mike Wangsmo <wanger@redhat.com>
- removed README's from tarball and coverted to buildroot

* Thu Oct 24 1997 Michael Fulbright <msf@redhat.com>
- added some docs on the sound modules

* Tue Oct 22 1997 Michael Fulbright <msf@redhat.com>
- changed sound sample to linux d00d instead of gorby d00d

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- fixed creation of temporary files to be more secure.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>
- added man page

* Fri Oct  3 1997 Michael Fulbright <msf@redhat.com>
- first version

